Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235374 - Update of iputils starts rdisc, breaking connectivity
Summary: Update of iputils starts rdisc, breaking connectivity
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: iputils
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 14:33 UTC by Chris Ricker
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: iputils-20070202-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-06 15:01:32 UTC


Attachments (Terms of Use)

Description Chris Ricker 2007-04-05 14:33:45 UTC
fc6

did a yum update, which upgraded to iputils 20070202-1.fc6

I didn't have rdisc running, and had it disabled in all runlevels

the upgrade started it, which killed my network connectivity

Looks like a script issue in the packaging

Comment 1 Martin Bacovsky 2007-04-06 11:00:33 UTC
This issue should be fixed in iputils-20070202-2.fc6

Comment 2 Chris Ricker 2007-04-16 16:01:28 UTC
It's not fixed

[root@slartibartfast ~]# chkconfig --list rdisc
rdisc           0:off   1:off   2:off   3:off   4:off   5:off   6:off
[root@slartibartfast ~]# 

rdisc isn't running

I do a yum update, which takes me from

iputils-20070202-1.fc6

to

iputils-20070202-3.fc6

rdisc gets started, with resultant network breakage....

Comment 3 Martin Bacovsky 2007-08-06 15:01:32 UTC
During update process rpm first install new package and then remove the old one.
IFAIK the last script executed during the update (in this case) is faulty
%postun from iputils-20070202-1.fc6. 

The only way (i know of) how to avoid restarting rdisc daemon during update is
to  update iputils with rpm 
# rpm -Uvh --nopostun <path to>/iputils-20070202-3.fc6.rpm

Update from version iputils-20070202-3 and above should work as required.


Note You need to log in before you can comment on or make changes to this bug.